---
updatedAt: 2026-04-12T09:25:06.000Z
---

# Delete a repricer strategy

Call this endpoint to remove an existing repricer strategy and its corresponding details from the system.

> **Note**: This page describes an example using only the required parameters and inputs to delete an existing repricer strategy. For a full list of customization options and additional capabilities, refer to the [Marketplace Pricing API Reference](/us-marketplace/reference/deletestrategy).

# Endpoint

```Text bash
DELETE https://marketplace.walmartapis.com/v3/repricer/strategy/{strategyCollectionId}
```

# Sample request

This request sends a `DELETE` request to the Marketplace API to remove the repricer strategy identified by the `strategyCollectionId`.

```Text cURL
curl --request DELETE \
     --url https://marketplace.walmartapis.com/v3/repricer/strategy/strategyCollectionId \
     --header 'accept: application/json'
```
```Text Python
import requests

url = "https://marketplace.walmartapis.com/v3/repricer/strategy/strategyCollectionId"

payload = {}
headers = {
  'accept': 'application/json'
}

response = requests.request("DELETE", url, headers=headers, data=payload)

print(response.text)

```

## Modify your code

Replace `strategyCollectionId` with the actual ID of the repricer strategy you want to delete.

# Sample Response

The response indicates whether the deletion of the repricer strategy was successful.

```Text JSON
{
  "message": "Strategy with Strategy Collection Id : abcd1234-1a2b-3c4d-5e6f-7890abcd1234
deleted successfully"
}
```

# Result

If successful, the API response returns an HTTP status: `200 OK` with a JSON response. The response confirms the deletion of the repricer strategy. It includes details such as the status, a confirmation message, and the `strategyCollectionId` of the deleted repricer strategy.

# Error responses

The following table outlines the potential causes of request errors, including the corresponding error messages, codes, and sample responses.

| Scenario(s)   | Criteria                  | Error Message         | Status | Sample Response                                                                                |
| :------------ | :------------------------ | :-------------------- | :----- | :--------------------------------------------------------------------------------------------- |
| Update/Delete | If Strategy ID is Invalid | Strategy ID not found | 400    | {“status”: “BAD_REQUEST”, “errorMessage”: “Error(s) : Strategy Id not found”,”payload”: null } |